# WOK
TKWOK
WOKTools

# WOKTools_Warning Class Reference

Warning messages
.

`#include <WOKTools_Warning.hxx>`

Inheritance diagram for WOKTools_Warning:

[legend]

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | WOKTools_Warning ()
virtual Standard_EXPORT Standard_Character | Code () const

## Constructor & Destructor Documentation

Standard_EXPORT WOKTools_Warning::WOKTools_Warning | ( |  | ) |

## Member Function Documentation

virtual Standard_EXPORT Standard_Character WOKTools_Warning::Code | ( |  | ) | const`[virtual]`

| Implements WOKTools_Message.

void WOKTools_Warning::operator delete | ( | void * | anAddress | ) | `[inline]`

void* WOKTools_Warning::operator new | ( | size_t | size | ) | `[inline]`

void* WOKTools_Warning::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

The documentation for this class was generated from the following file:

- WOKTools_Warning.hxx